<template>
  <div class="offerlobby-header">
    <!-- 返回按钮 -->
    <span class="header-back fl pointer offer-header-back" @click="closeHall">
      <i class="iconfont icon-tuichu" />
      <span style="margin-left:4px;">退出竞价大厅</span>
    </span>
    <p class="h1-size">
      竞价大厅
    </p>
    <p class="main-size">
      <span>[{{ tableData.tenderNo }}]</span><span>{{ tableData.tenderName }}</span>
    </p>
  </div>
</template>

<script>
import { procurementBiddingMixins } from '../mixins/procurementBiddingMixins'
export default {
  name: 'OfferLobbyHeaderVue',
  mixins: [procurementBiddingMixins],
  inject: ['getTenderBase'],
  data() {
    return {
      // 获取项目信息
      tenderBase: this.getTenderBase()
    }
  },
  created() {
    // 查询项目信息
    this.initData(this.tenderBase.tenderId)
  },
  methods: {
    // 关闭大厅
    closeHall() {
      this.$emit('closeHall')
    }
  }
}
</script>
<style  lang="less" scoped>
  .h1-size{
    font-size: 26px;
    font-weight: bold;
    color:#fff;
  }
  .main-size{
    font-size: 14px;
    color:#fff;
    font-weight: bold;
    span{
      padding: 0 10px;
    }
  }
  .offer-header-back{
    display: inline-block;
    position: absolute;
    left: 30px;
  }
</style>
